Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class GString

Field Summary
`long` | `serialVersionUID`
`def` | `values`

Constructor Summary
`GString(Object values)`
`GString(def values)`

Method Summary
`void` | `build(GroovyObject builder)`
`char` | `charAt(int index)`
`int` | `compareTo(Object that)`
`boolean` | `equals(Object that)`
`boolean` | `equals(GString that)`
`def` | `getStrings()`
`Object` | `getValue(int idx)`
`int` | `getValueCount()`
`def` | `getValues()`
`int` | `hashCode()`
`Object` | `invokeMethod(String name, Object args)` Overloaded to implement duck typing for Strings so that any method that can't be evaluated on this object will be forwarded to the toString() object instead.
`int` | `length()`
`Pattern` | `negate()` Turns a String into a regular expression pattern
`GString` | `plus(GString that)`
`GString` | `plus(String that)`
`CharSequence` | `subSequence(int start, int end)`
`String` | `toString()`
`Writer` | `writeTo(Writer out)`

Constructor Detail

### GString

    public GString(Object values)

### GString

    public GString(def values)

Method Detail

### build

    public void build(GroovyObject builder)

### charAt

    public char charAt(int index)

### compareTo

    public int compareTo(Object that)

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(GString that)

### getStrings

    public def getStrings()

### getValue

    public Object getValue(int idx)

### getValueCount

    public int getValueCount()

### getValues

    public def getValues()

### hashCode

    public int hashCode()

### invokeMethod

    public Object invokeMethod(String name, Object args)

  Overloaded to implement duck typing for Strings so that any method that can't be evaluated on this object will be forwarded to the toString() object instead.

### length

    public int length()

### negate

    public Pattern negate()

  Turns a String into a regular expression pattern
  return:
    the regular expression pattern

### plus

    public GString plus(GString that)

### plus

    public GString plus(String that)

### subSequence

    public CharSequence subSequence(int start, int end)

### toString

    public String toString()

### writeTo

    public Writer writeTo(Writer out)